summaryrefslogtreecommitdiff
path: root/misc/dashboard
diff options
context:
space:
mode:
authorRuss Cox <rsc@golang.org>2010-02-09 13:45:38 -0800
committerRuss Cox <rsc@golang.org>2010-02-09 13:45:38 -0800
commit2bb98eec0bdd85bd206d62a6e43d676a6baf0817 (patch)
tree4e8ff699bead3de405338108f72a81e9aa39e35e /misc/dashboard
parentdd8b786ff9134bf0aff276bbb8fe0c119e019865 (diff)
downloadgolang-2bb98eec0bdd85bd206d62a6e43d676a6baf0817.tar.gz
dashboard: auto-update builder.sh.
avoid possibility of busy loop pounding on dashboard. R=agl1 CC=golang-dev http://codereview.appspot.com/206051
Diffstat (limited to 'misc/dashboard')
-rw-r--r--misc/dashboard/buildcron.sh3
-rw-r--r--misc/dashboard/builder.sh1
2 files changed, 4 insertions, 0 deletions
diff --git a/misc/dashboard/buildcron.sh b/misc/dashboard/buildcron.sh
index 42a12b2e7..5f4300796 100644
--- a/misc/dashboard/buildcron.sh
+++ b/misc/dashboard/buildcron.sh
@@ -41,6 +41,9 @@ fi
if [ ! -d $GOROOT ]; then
mkdir -p $GOROOT
hg clone https://go.googlecode.com/hg/ $GOROOT
+else
+ cd $GOROOT
+ hg pull -u || exit 1
fi
mkdir -p $GOROOT/bin
diff --git a/misc/dashboard/builder.sh b/misc/dashboard/builder.sh
index fb2e6defb..b302acec2 100644
--- a/misc/dashboard/builder.sh
+++ b/misc/dashboard/builder.sh
@@ -74,4 +74,5 @@ while true ; do
fi
fi
cd ../.. || fatal "Cannot cd up"
+ sleep 10
done